/**
 * License Agreement.
 *
 * Rich Faces - Natural Ajax for Java Server Faces (JSF)
 *
 * Copyright (C) 2007 Exadel, Inc.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License version 2.1 as published by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301  USA
 */

package org.ajax4jsf.builder.generator;

import java.util.HashMap;
import java.util.Map;



/**
 * @author Nick - mailto:nbelaevski@exadel.com
 * created 17.04.2007
 * 
 */
public class ResourcesConfigGeneratorBean {
	private HashMap<String, String> classResources = new HashMap<String, String>();
	private HashMap<String, String> pathResources = new HashMap<String, String>();
	
	public void addClassResource(String name, String className) {
		classResources.put(name, className);
	}

	public void addPathResource(String name, String path) {
		pathResources.put(name, path);
	}

	public Map<String, String> getClassResources() {
		return classResources;
	}
	
	public Map<String, String> getPathResources() {
		return pathResources;
	}
}